package com.safeway.pricing.safeway.config;

import org.springframework.context.annotation.Bean;
import org.springframework.http.MediaType;
import org.springframework.web.reactive.function.server.RouterFunction;

import static org.springframework.web.reactive.function.server.RequestPredicates.GET;
import static org.springframework.web.reactive.function.server.RequestPredicates.accept;
import static org.springframework.web.reactive.function.server.RouterFunctions.route;

//@Configuration
public class RouteConfig {
    @Bean
    RouterFunction<?> routerFunction(RouterHandlers routerHandlers){
        return route(GET("/safeway/storedetails/{storeName}").and(accept(MediaType.APPLICATION_JSON)),routerHandlers::getStoreDetails).
                andRoute(GET("/safeway/pricingdetails").and(accept(MediaType.APPLICATION_JSON)),routerHandlers::getPricingDetails);
    }
}
