package com.safeway.pricing.safeway.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Document(collection = "Division_Details")
public class DivisionDetails {
    @Id
    private String divisionId;
    private String division;
    private int pinCode;
    private String city;
}
