package com.safeway.pricing.safeway.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Document(collection="Sale_Details")
public class SaleDetails {
    @Id
    private String id;
    private double currentVolume;
    private double currentSales;
    private double currentMargin;
    private double currentProfit;
    private double currentCPI;
}
