package com.safeway.pricing.safeway.modelmapper;

import com.safeway.pricing.safeway.dto.ItemDetailsDTO;
import com.safeway.pricing.safeway.entity.ItemDetails;
import org.modelmapper.ModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ItemDetailsModelMapper {

    @Autowired
    private ModelMapper modelMapper;

    public ItemDetailsDTO itemDetailsDTO(ItemDetails itemDetails) {
        ItemDetailsDTO itemDetailsDTO = this.modelMapper.map(itemDetails, ItemDetailsDTO.class);
        return itemDetailsDTO;
    }
    
    public ItemDetails itemDetailsEntity(ItemDetailsDTO itemDetailsDto) {
    	ItemDetails itemDetails = this.modelMapper.map(itemDetailsDto, ItemDetails.class);
        return itemDetails;
    }
}
