package com.safeway.pricing.safeway.modelmapper;

import com.safeway.pricing.safeway.dto.ItemDetailsDTO;
import com.safeway.pricing.safeway.dto.SaleDetailsDTO;
import com.safeway.pricing.safeway.entity.ItemDetails;
import com.safeway.pricing.safeway.entity.SaleDetails;
import org.modelmapper.ModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class SaleDetailsModelMapper {

    @Autowired
    private ModelMapper modelMapper;

    public SaleDetailsDTO saleDetailsDTO(SaleDetails saleDetails) {
        SaleDetailsDTO saleDetailsDTO = this.modelMapper.map(saleDetails, SaleDetailsDTO.class);
        return saleDetailsDTO;
    }
}
